// More information at: https://www.aeq-web.com/arduino-radar-motion-detector/?ref=arduinoide
#include <Radar.h>

Radar radar(A5); //Radar input at A5

void setup()
{
  Serial.begin(9600);
  radar.settolerance(10); //Set the tolerance from 0 to 100 percent
}

void loop()
{
  radar.measure(); //Read value from radar
  int radarvalue = radar.rtv(); //Get value (0 or 1)
  if(radarvalue == 1){
  Serial.println("Motion detected"); 
  }else{
  Serial.println("No motion"); 
  }
  delay(50);
}
